import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Flower extends Actor
{
    int distance = 10;

    public void act() 
    {
        move();
        
        if (getY()<0) {
            remove(this);
        } else {        
            Actor hitBee = getOneIntersectingObject(Bee.class);
            if (hitBee != null) {
                remove(hitBee);
                remove(this);
            }
       }
    }   
    
    private void move() {
        setLocation(getX(), getY()-distance);
    }
    
    private void remove(Actor _actor) {
        getWorld().removeObject(_actor);
    }
}
